aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDongxu Li <dongxuli2011@gmail.com>2013-04-14 18:11:30 -0400
committerDongxu Li <dongxuli2011@gmail.com>2013-04-14 18:11:30 -0400
commite699a0c05eba97df4c9eab620eb7d098c63dea1e (patch)
tree6a15b6058e31cfc9023bf90e11d31ed020add7e4 /media-gfx/librecad
parentsci-chemistry/mgltools-stride: Fix license, thanks ulm looking for correct li... (diff)
downloadsci-e699a0c05eba97df4c9eab620eb7d098c63dea1e.tar.gz
sci-e699a0c05eba97df4c9eab620eb7d098c63dea1e.tar.bz2
sci-e699a0c05eba97df4c9eab620eb7d098c63dea1e.zip
media-gfx/librecad: version bump: 1.0.3, 2.0.0beta5
Diffstat (limited to 'media-gfx/librecad')
-rw-r--r--media-gfx/librecad/ChangeLog4
-rw-r--r--media-gfx/librecad/Manifest5
-rw-r--r--media-gfx/librecad/librecad-1.0.3.ebuild45
-rw-r--r--media-gfx/librecad/librecad-2.0.0_beta5.ebuild (renamed from media-gfx/librecad/librecad-2.0.0_beta2.ebuild)2
4 files changed, 53 insertions, 3 deletions
diff --git a/media-gfx/librecad/ChangeLog b/media-gfx/librecad/ChangeLog
index e04ed60fb..7b0a6c211 100644
--- a/media-gfx/librecad/ChangeLog
+++ b/media-gfx/librecad/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header$
+ 14 Apr 2013; Dongxu Li <dongxuli2011@gmail.com> +librecad-1.0.3.ebuild,
+ +librecad-2.0.0_alpha5.ebuild:
+ Versions bumped to 1.0.3 and 2.0.0beta5
+
03 Mar 2013; Justin Lecher <jlec@gentoo.org> -librecad-1.0.1.ebuild,
librecad-1.0.2.ebuild, -librecad-2.0.0_alpha3.ebuild,
librecad-2.0.0_alpha4.ebuild, librecad-9999.ebuild, metadata.xml:
diff --git a/media-gfx/librecad/Manifest b/media-gfx/librecad/Manifest
index 953971479..eb9d46229 100644
--- a/media-gfx/librecad/Manifest
+++ b/media-gfx/librecad/Manifest
@@ -1,2 +1,3 @@
-DIST librecad-1.0.2.tar.gz 4577653 SHA256 13ee7e401e4f5fbc68c2e017b7189bec788038f4f6e77f559861ceb8cfb1907d SHA512 d3afd967a72e36067634a5ad8bf93ff7ab874f72ed8e86dd13632d4c700ec3f3f3eac40b2a44ba516cadb3a1c117570f091dd92cbfa3957d004ecba933d02f39 WHIRLPOOL 7cd0b2ecba9498ba41ab49c36bbcd49ec2127a7ac0ad235593e58479342f0f0bb859ffa3c2fa7e687859a6a7812b6c5c96b43fdc939f4a18b326cf8e1e4e0f5a
-DIST librecad-2.0.0_beta2.tar.gz 15188237 SHA256 3cb6fd8f7cb6ddb54a5d08ce0b9c010742d3a6f6ae845184a1776f1fd8da5870 SHA512 d8f346381e72e819cd03dd37ef6c64e7575f41cac0b70a715a802bd4dab04167ef11d23cccc1bda9d25c4d6a4edf1cd1a3c3f90b13ed4a71945d6ee7bf0b4db5 WHIRLPOOL 8dedb053e82a28f3b121b9164878eaea5d172e3b4da46d4939876ec70f4c1cb5b0c20276b780a11654728e58eb231d7e035ea917c2abacf03c05e555f8370c03
+DIST librecad-1.0.2.tar.gz 4577097 SHA256 f04ad98b6c9bc0e8f748ef99a7052794155f246c36663e09508810d9acebadad SHA512 4cb8732b047ba01e7d796c51bbc1300e4ee3b674a4ca65c6ff3f18acd0107d3d0e83610f45af86dc164cbf22241558dddc2fb77e31bd2fb33425cb6d7b582889 WHIRLPOOL 73099244f56eb3953fb0a7b80aa5ea3a20adcbaa19a40ca51c14501316e7ebec2a44e30bb669e6ed6797a74c42b0640f959e648c3cee8c7865a9a5f3427b1591
+DIST librecad-1.0.3.tar.gz 4578450 SHA256 8c2f5a7e55a4ae41a9bd47e2e7981577c740edd526e1f305cd6cbf581d053f30 SHA512 5a8e6e612bc954f3af0dfc26d1fc19938c80e216ac252fb65a38a13651c6e2313d593a3ee834ecc98bbd72a4dfd28ef1c39dd9ed6a6f9140d28b765edb59bee9 WHIRLPOOL d8157af2021bba2cee626d023125045455a2fe5f453ae065c9660be61f4c0d687a1c72957d1af1aa640cfde3815625bb7d0899dc5541fcb82bfe0eea4cfad6c6
+DIST librecad-2.0.0_beta5.tar.gz 15196079 SHA256 8d21a2b887d65ea28ac7fde1d0dea373f8267767e33ae26c0207ec1f6d42656f SHA512 22ec041a0a36bd9f59d2bf22aa343824b54c83febeb8b6fd836e4e3a821617ae80f2e5b7c38250b5791b946f8494561b49d9a880b49383c52395a04f0cb57547 WHIRLPOOL 20805394d0576c380b491fe7c02af3adfcbf09850ff84dee3155206746746e5f39b9cc2556836e74bd9c9449e7c50757b9f3ff3fcab6083abd140d0a3934ed06
diff --git a/media-gfx/librecad/librecad-1.0.3.ebuild b/media-gfx/librecad/librecad-1.0.3.ebuild
new file mode 100644
index 000000000..3c9374764
--- /dev/null
+++ b/media-gfx/librecad/librecad-1.0.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit qt4-r2 eutils
+
+DESCRIPTION="An generic 2D CAD program"
+HOMEPAGE="http://www.librecad.org/"
+SRC_URI="https://github.com/LibreCAD/LibreCAD/archive/v1.0.3.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc"
+
+RDEPEND="
+ dev-qt/qtgui[qt3support]
+ dev-qt/qthelp:4
+ dev-qt/qt3support:4
+ dev-cpp/muParser
+ "
+
+DEPEND="${RDEPEND}"
+
+src_unpack() {
+ unpack ${A}
+ mv * ${P}
+}
+
+src_prepare() {
+sed -i -e "s:\\\$\+system(git describe --tags):1.0.3:" "${PN}.pro"
+}
+
+src_install() {
+ dobin unix/librecad || die
+ insinto /usr/share/"${PN}"
+ doins -r unix/resources/* || die
+ if use doc ; then
+ dohtml -r support/doc/*
+ fi
+ doicon res/main/"${PN}".png
+ make_desktop_entry "${PN}" LibreCAD "${PN}.png" Graphics
+}
diff --git a/media-gfx/librecad/librecad-2.0.0_beta2.ebuild b/media-gfx/librecad/librecad-2.0.0_beta5.ebuild
index 7c8e680a4..a16e4c8f6 100644
--- a/media-gfx/librecad/librecad-2.0.0_beta2.ebuild
+++ b/media-gfx/librecad/librecad-2.0.0_beta5.ebuild
@@ -8,7 +8,7 @@ inherit qt4-r2 eutils flag-o-matic
DESCRIPTION="An generic 2D CAD program"
HOMEPAGE="http://www.librecad.org/"
-SRC_URI="https://github.com/LibreCAD/LibreCAD/archive/2.0.0beta2.tar.gz ->
+SRC_URI="https://github.com/LibreCAD/LibreCAD/archive/2.0.0beta5.tar.gz ->
${P}.tar.gz"
LICENSE="GPL-2"